# $Revision: 1.54 $, $Date: 2007/10/10 18:56:31 $
Summary:	A debugger which detects memory allocation violations
Summary(cs.UTF-8):	Nástroj pro odhalování chyb při alokaci dynamické paměti
Summary(da.UTF-8):	En afluser som finder problemer ved hukommelsesallokering
Summary(de.UTF-8):	Debugger zum Erkennen von Speicherzugriffsverletzungen
Summary(es.UTF-8):	Electric Fence biblioteca de depuración de memoria en C
Summary(fr.UTF-8):	Bibliothèque C de débuggage mémoire Electric Fence
Summary(id.UTF-8):	Debugger untuk menditeksi memory allocation violations
Summary(is.UTF-8):	Aflúsunartól sem finnur villur í minnismeðhöndlun
Summary(it.UTF-8):	Debugger che rileva le violazioni dell'allocazione di memoria
Summary(ja.UTF-8):	メモリ割り当ての侵略を検出するデバッガ
Summary(nb.UTF-8):	Et avlusingsprogram som finner overtramp ved minneallokering
Summary(pl.UTF-8):	Biblioteka do wykrywania błędów alokacji pamięci
Summary(pt.UTF-8):	Um depurador que detecta violações à memória alocada
Summary(pt_BR.UTF-8):	Electric Fence biblioteca de depuração de memória em C
Summary(ru.UTF-8):	Отладчик, выявляющий ошибки в распределении памяти
Summary(sk.UTF-8):	Debugger pre vyhľadávanie chybných prístupov k alokovanej pamäti
Summary(sl.UTF-8):	Razhroščevalnik, ki najde prekoračitve dodeljenega pomnilnika
Summary(sv.UTF-8):	Ett avlusningsprogram som upptäcker minnesallokeringsfel
Summary(tr.UTF-8):	C için bellek hatası ayıklama kitaplığı
Summary(zh_CN.UTF-8):	一种调试器用于检测内存分配错误
Name:		ElectricFence
Version:	2.2.2
Release:	16
License:	GPL
Group:		Development/Debuggers
Source0:	ftp://ftp.perens.com/pub/ElectricFence/Beta/%{name}-%{version}.tar.gz
# Source0-md5:	56a3cbfdbf65f916988787c789c63e80
Patch0:		%{name}-longjmp.patch
Patch1:		%{name}-no_bash.spec
Patch2:		%{name}-va_arg.patch
Patch3:		%{name}-ac_am.patch
Patch4:		%{name}-pthread.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libefence0

%description
If you know what malloc() violations are, you'll be interested in
ElectricFence. ElectricFence is a tool which can be used for C
programming and debugging. It uses the virtual memory hardware of your
system to detect when software overruns malloc() buffer boundaries,
and/or to detect any accesses of memory released by free().
ElectricFence will then stop the program on the first instruction that
caused a bounds violation and you can use your favorite debugger to
display the offending statement.

%description -l de.UTF-8
Wenn Sie wissen, was malloc()-Verletzungen sind, sind Sie
wahrscheinlich an ElectricFence interessiert. ElectricFence ist ein
Tool, das zur C- Programmierung und zum Debugging benutzt werden kann.
Es benutzt virtuelle Speicherhardware, um zu erkennen, wenn Software
malloc()-Buffergrenzen übersteigt, und wenn Speicher mit free()
freigegeben wird. ElectricFence beendet das Programm bei der
Instruktion, die die Speicherverletzung ausgelöst hat, und Sie können
Ihren Lieblingsdebugger benutzen, um den Befehl anzuzeigen.

%description -l es.UTF-8
ElectricFence es una herramienta que puede usarse para programación y
depuración en lenguaje C. A través del uso del hardware de memoria
virtual del sistema, detecta accesos que sobrepasan los límites de la
memoria asignada con malloc(), o acceso a la memoria liberada por
free(). En esas situaciones, ElectricFence interrumpe la ejecución del
programa en la primera instrucción que causó la violación, y puede
usarse un debugger para verificar la causa del problema.

%description -l fr.UTF-8
Electric Fence est une bibliothéque utilisée pour la programmation en
C et le débogage. Vous pouvez la lier à la compilation et elle vous
avertira des problèmes éventuels de désallocation de mémoire, etc.

%description -l pl.UTF-8
Electric Fence jest biblioteką pomocną podczas programowania w języku
C i "odpluskwiania". Pakiet zawiera bibliotekę współdzieloną, która
może być załadowana przez zmienną LD_PRELOAD w trakcie uruchamiania
dowolnego programu dzięki temu nie potrzeba konsolidować z tą
biblioteką śledzonego programu. Pakiet zawiera także skrypt powłoki
ef, który ładuje do pamięci przez LD_PRELOAD bibliotekę libefence i
uruchamia program przekazany do tego skryptu jako parametr.

%description -l pt_BR.UTF-8
ElectricFence é uma ferramenta que pode ser usada com programação e
depuracao em linguagem C. Através do uso do hardware de memoria
virtual do sistema, o ElectricFence detecta acessos além dos limites
da memória alocada com malloc(), ou acesso a memória liberada por
free(). Nessas situações, o ElectricFence interrompe a execução do
programa na primeira instrução que causou a violação, e um debugger
pode ser usado para verificar a causa do problema.

%description -l tr.UTF-8
Electric Fence, C'de programlama ve hata ayıklama için kullanılabilen
bir kitaplıktır. Derleme esnasında programınıza bağlarsanız, sizi
ortaya çıkabilecek sorunlar (var olmayan bir bellek parçasının serbest
bırakılması gibi) konusunda uyarır.

%package static
Summary:	Static Electric Fence library
Summary(pl.UTF-8):	Biblioteka statyczna Electric Fence
Group:		Development/Debuggers
Obsoletes:	libefence0-devel

%description static
Static Electric Fence library.

%description static -l pl.UTF-8
Biblioteka statyczna Electric Fence.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CFLAGS="%{rpmcflags} -DUSE_SEMAPHORE"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_bindir}/ef
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ElectricFence.spec,v $
Revision 1.54  2007/10/10 18:56:31  arekm
- rel 16

Revision 1.53  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.52  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.51  2005/02/20 21:21:54  qboosh
- added pthread patch from FC, updated ac_am patch (fixes crash on linuxthreads/2.3.4)
- release 15

Revision 1.50  2004/04/26 07:10:18  adamg
- release 14 for Ac (13 is for Ra)

Revision 1.49  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.48  2003/10/25 13:25:40  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.47  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.46  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.45  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2002/10/09 13:14:13  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.43  2002/06/23 20:32:18  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.42  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.41  2002/05/21 23:12:35  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/04/20 10:26:19  trojan
- revert %%ghost from %%files

Revision 1.39  2002/04/17 12:28:29  trojan
- added %%ghost lib*.so.0 (they're created by ldconfig)
- release 13; STBR

Revision 1.38  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.37  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/02/10 21:31:36  kloczek
- release 12.

Revision 1.35  2002/02/10 20:21:59  ankry
- added some (adapterized) Summary/descriptions from RH 7.2 (specpo)

Revision 1.34  2002/01/18 11:17:57  kloczek
- release 11,
- libefence0{,-devel} added to Obsolets for allow upgrade from MDK,
- merge translations from Conectiva and TurboLinux.

Revision 1.33  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/04/26 04:21:35  kloczek
- release 10: add -DUSE_SEMAPHORE to CFLAGS.

Revision 1.31  2001/03/29 16:24:07  qboosh
- fixed ac_am patch (package builds)
- changed libefence.so.0.0 to libefence.so.0 in ef script
- typos
- release 9

Revision 1.30  2000/12/30 12:51:22  kloczek
- release 8,
- fix ac_am patch: pass DEFS=-DUSE_SEMAPHORE to compile options.

Revision 1.29  2000/10/05 16:25:19  kloczek
- release 6,
- added full automake/autoconf suit (ac_am patch).

Revision 1.28  2000/07/26 11:10:37  zagrodzki
- release 5
- added lib*.so to base package (EFence has no -devel package)

Revision 1.27  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/30 02:30:57  kloczek
- release 4,
- merge va_arg patch from rawhide.

Revision 1.25  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.24  2000/04/23 12:09:05  klakier
-typo

Revision 1.23  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.21  1999/11/08 19:46:37  kura
- fixed pl translations

Revision 1.20  1999/10/12 15:08:33  kloczek
- added es, pt_BR translation.

Revision 1.19  1999/09/16 00:15:43  kloczek
- release 3,
- new en, de %description's from Mandrake.

Revision 1.18  1999/07/12 23:05:56  kloczek

- added using CVS keywords in %changelog (for automating them).

* Thu Jun 17 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [2.2.2-2]
- fixed ef.sh script (this is pure sh script),
- added runing /sbin/ldconfig in %post/%postun.

* Fri Jun  4 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [2.2.2-1]
- based on RH spec,
- spec rewrited by PLD team.
